import { groupBy } from '@/utils/array/groupBy';
import { ReferenceFiltered, ReferenceGrouped } from '../ReactionDrawer.types';

export const getGroupedReferences = (references: ReferenceFiltered[]): ReferenceGrouped => {
  const referencesGroupedObject = groupBy(references, ref => ref.annotatorClassName);

  return Object.entries(referencesGroupedObject).map(([source, refs]) => ({
    source,
    references: refs,
  }));
};
