import { ZOD_SEED } from '@/constants';
import { mirnaSchema } from '@/models/mirnaSchema';
import { z } from 'zod';
// eslint-disable-next-line import/no-extraneous-dependencies
import { createFixture } from 'zod-fixture';

export const mirnasFixture = createFixture(z.array(mirnaSchema), {
  seed: ZOD_SEED,
  array: { min: 2, max: 2 },
});
