import { Reaction } from '@/types/models';
import { ReferenceFiltered } from '../ReactionDrawer.types';

export const getFilteredReferences = (reaction: Reaction | undefined): ReferenceFiltered[] =>
  (reaction?.references || []).filter(
    (ref): ref is ReferenceFiltered => ref.link !== null && ref.link !== undefined,
  );
