import { getMultiBioEntity } from '@/redux/bioEntity/bioEntity.thunks';
import { AppDispatch } from '@/redux/store';
import { ElementSearchResult } from '@/types/models';

/* prettier-ignore */
export const handleAliasResults =
  (dispatch: AppDispatch) =>
    async ({ id }: ElementSearchResult): Promise<void> => {
      dispatch(
        getMultiBioEntity({
          searchQueries: [id.toString()],
          isPerfectMatch: true
        }),
      );
    };
